# Apache Drill Milestone 1 - (Drill Alpha)

Apache Drill is a distributed mpp query layer that supports SQL and alternative query languages against NoSQL and Hadoop data storage systems.  It was inspired in part by the [Google's Dremel](http://research.google.com/pubs/pub36632.html).  It is currently incubating under the Apache Foundation.


## Milestone 1
Milestone 1 is focused on providing a technology preview for developers.  It offers the ability to query JSON and Parquet columnar data storage formats using ANSI compliant SQL.  It also provides the ability to run queries in distributed execution mode utilizing Apache Zookeeper as a cluster coordination service.

## Quickstart

Please read INSTALL.md for setting up and running Apache Drill.

## More Information
Please see the [Apache Drill Website](http://incubator.apache.org/drill/) or the [Apache Drill Wiki](https://cwiki.apache.org/confluence/display/DRILL/Apache+Drill+Wiki) for more information including:

 * Remote Execution Installation Instructions
 * Information about how to submit logical and distributed physical plans
 * More example queries and sample data
 * Find out ways to be involved or disuss Drill


## Join the community!
Apache Drill is an Apache Foundation project and is seeking all types of contributions.  Please say hello on the Apache Drill mailing list or join our weekly Google Hangouts for more information.  (More information can be found at the Apache Drill website).

## Disclaimer
Apache Drill is an effort undergoing incubation at The Apache Software Foundation (ASF), sponsored by the Apache Incubator. Incubation is required of all newly accepted projects until a further review indicates that the infrastructure, communications, and decision making process have stabilized in a manner consistent with other successful ASF projects. While incubation status is not necessarily a reflection of the completeness or stability of the code, it does indicate that the project has yet to be fully endorsed by the ASF.